Subject: bug#37342: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 Dec 2019 06:30:03 +0000

Your bug report

#37342: Xfce4 hides panel after update

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37342: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37342
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Fri, 27 Dec 2019 07:29:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this bug, since by
   https://lists.gnu.org/archive/html/help-guix/2019-12/msg00140.html
the problem is solved.

Andreas

Subject: Xfce4 hides panel after update
From: [email-masked]
To: "bug-guix" <[email-masked]>
Date: Sun, 08 Sep 2019 16:22:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Today, I've updated guix with this consequence:
# guix pull && guix package -u
# guix system reconfigure /etc/config.scm

After reboot I successfully login to Slim and Xfce4 shows Desktop and Panel. But then after few moments Xfce4 hides panel, and I cannot open Applications with ctrl + esc. I only can use Main Menu by clicking right mouse.
So I go to Settings and see there is Panel. I make it much pixels high and 3 rows, but it does not show never.
So I add new panel and configure it.
Also I run Icecat but I cannot type there! Any key pressing gives nothing!
After reboot panels hide themselves again. So I have 2 panel in Xfce4 settings and they are not displaying.
But I can use keyboard.

I've open new tty and made update by root again and by my usual user.
After reboot Panels hide themselves again!

I made roll-back because of this ugly bug. And it;s ok.

Please, is my old config rests good? Where this bug come from?